### Method

# GLib VariantBuilder ref

since: 2.24

#### Declaration

    GVariantBuilder*
    g_variant_builder_ref (
      GVariantBuilder* builder
    )

#### Description

Increases the reference count on `builder`.

Don’t call this on stack-allocated `GVariantBuilder` instances or bad things will happen.

Available since: 2.24

#### Return value

Type: `GVariantBuilder`

A new reference to `builder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.